> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poyo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# OmniHuman 2.0

> 用一段 4–300 秒的驱动音频和可选的表演指令，让一张角色图片动起来。

> [!TIP]
>
> 1. 提交后会返回 `task_id`。如果提供了 `callback_url`，当任务状态变为 `finished` 或 `failed` 时，系统会向 `callback_url` 发送 POST 请求。
> 2. 无论是否提供 `callback_url`，都可以通过统一的[查询任务状态](https://docs.poyo.ai/zh/api-manual/task-management/status.md)接口获取结果。

OmniHuman 2.0 根据一张图片和一个驱动音频文件生成音频驱动的角色视频。可使用可选的提示词引导角色的动作和表演。

## 模型

* **omnihuman-2.0** — 音频驱动的角色动画

## 功能

* 用驱动音频让一张角色图片动起来。
* 通过可选的文本提示词引导动作和表演。

## 必填参数

* `image_urls` (array of strings)：恰好一个角色图片 URL。
* `audio_url` (string)：驱动音频 URL。音频时长必须为 4–300 秒，大小不超过 15 MB。

## 可选参数

* `prompt` (string)：可选的动作和表演指令。

## 示例

请求示例只使用必填的 `image_urls` 和 `audio_url` 字段。需要表演指令时，在 `input` 中添加 `prompt`。

## 注意事项

* 所有生成参数都放在 `input` 中。
* 图片必须使用可公开访问的 HTTP 或 HTTPS URL。
* `audio_url` 必须是可公开访问的 HTTP 或 HTTPS URL。
* 不接受单独的 `duration` 参数；请求的表演时长由驱动音频决定。


## OpenAPI

````yaml zh/api-manual/video-series/omnihuman-2-0.json POST /api/generate/submit
openapi: 3.0.0
info:
  title: OmniHuman 2.0
  description: 用驱动音轨让一张角色图片动起来。
  version: 1.0.0
servers:
  - url: https://api.poyo.ai
security:
  - BearerAuth: []
paths:
  /api/generate/submit:
    post:
      summary: 提交 OmniHuman 2.0 视频任务
      operationId: submit_omnihuman_2_0
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
            examples:
              audio-driven-avatar:
                summary: 用驱动音频让角色动起来
                value:
                  model: omnihuman-2.0
                  input:
                    image_urls:
                      - https://example.com/character.png
                    audio_url: https://example.com/speech.mp3
      responses:
        '200':
          description: 任务提交成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitResponse'
        '400':
          description: 请求参数无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: 未授权：API Key 无效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SubmitRequest:
      type: object
      additionalProperties: false
      required:
        - model
        - input
      properties:
        model:
          type: string
          enum:
            - omnihuman-2.0
          description: 公开的模型标识。
        callback_url:
          type: string
          format: uri
          description: 可选的 Webhook URL，用于接收任务完成或失败通知。
        input:
          type: object
          additionalProperties: false
          required:
            - image_urls
            - audio_url
          properties:
            image_urls:
              type: array
              items:
                type: string
                format: uri
              minItems: 1
              maxItems: 1
              description: 要驱动的角色图片，必须恰好一张。请使用公开可访问的 HTTP 或 HTTPS URL。
            audio_url:
              type: string
              format: uri
              description: 驱动音频 URL。音频时长须为 4–300 秒，大小不超过 15 MB。请使用公开可访问的 HTTP 或 HTTPS URL。
            prompt:
              type: string
              description: 可选的角色动作和表演指令。
    SubmitResponse:
      type: object
      required:
        - code
        - data
      properties:
        code:
          type: integer
          example: 200
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        data:
          type: object
          required:
            - task_id
            - status
            - created_time
          properties:
            task_id:
              type: string
              example: task-unified-1792190000-example
            status:
              type: string
              enum:
                - not_started
                - running
                - finished
                - failed
              example: not_started
              description: >-
                任务状态。提交后立即返回时始终为
                `not_started`。后续状态请通过[查询任务状态](/zh/api-manual/task-management/status)接口或
                `callback_url` 获取。


                - `not_started`：排队中，等待处理

                - `running`：生成中

                - `finished`：已完成，结果在 `files` 或 `output` 中

                - `failed`：失败，详情见 `error_message`
            created_time:
              type: string
              format: date-time
              example: '2026-10-17T10:30:00'
    ErrorResponse:
      type: object
      required:
        - code
        - error
      properties:
        code:
          type: integer
          example: 400
          enum:
            - 200
            - 400
            - 401
            - 402
            - 403
            - 404
            - 408
            - 429
            - 500
            - 502
            - 503
          description: >-
            业务状态码。`200` 表示成功，其他值都表示请求失败。请务必检查这个字段：部分参数校验错误会以 HTTP 200 返回，响应体里的
            `code` 为 `400`。


            - `200`：成功

            - `400`：请求参数无效

            - `401`：API Key 缺失或无效

            - `402`：积分不足

            - `403`：没有权限

            - `404`：资源不存在

            - `408`：请求超时

            - `429`：请求频率超限

            - `500`：服务器内部错误

            - `502`：上游服务错误

            - `503`：服务暂不可用


            详见[错误码](/zh/api-manual/error-codes)。
        error:
          type: object
          required:
            - message
            - type
          properties:
            message:
              type: string
              example: Invalid request parameters
            type:
              type: string
              example: invalid_request_error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        所有 API 接口都需要 Bearer Token 认证。


        创建 API Key：登录 PoYo，进入 **仪表盘 → API
        密钥**（[poyo.ai/zh/dashboard/api-key](https://poyo.ai/zh/dashboard/api-key)），点击创建
        Key。


        在请求头中添加：


        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.